using System;

internal sealed class Delegate117 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate117 delegate117_1)
	{
		return delegate117_1(object_0);
	}

	public extern Delegate117(object object_0, IntPtr intptr_0);

	static Delegate117()
	{
		Class10.smethod_13(typeof(Delegate117).TypeHandle);
	}

	internal static Delegate117 delegate117_0;
}
